<template>
    <transition name="fade-right">
        <div v-if="status" class="loading" />
    </transition>
</template>
<script>
export default {
    model: {
        prop: 'status',
        event: 'loaded',
    },
    props: {
        status: {
            type: Boolean,
            default: false,
        },
    },
}
</script>
<style lang="scss" scoped>
    .loading {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #ccc;
        z-index: map-get($z-index, header-above);
        transform-origin: right;
    }
    .fade-right {
        &-enter-active{

        }
        &-leave-active{
            transition: 1s;
        }
        &-leave {
            transform: scaleX(1);
        }
        &-leave-to {
            transform: scaleX(0);
        }
    }
</style>